<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:keepScreenOn="true">

    <View
        android:id="@+id/vPayResultIcon"
        android:layout_width="60dp"
        android:layout_height="60dp"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="50dp"
        android:background="@mipmap/ic_success"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tvPayResultTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:text="收款成功"
        android:textColor="@color/black"
        android:textSize="48sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/vPayResultIcon"
        app:layout_constraintLeft_toRightOf="@+id/vPayResultIcon"
        app:layout_constraintTop_toTopOf="@+id/vPayResultIcon" />

    <TextView
        android:id="@+id/tvOrderStatus"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="68dp"
        android:text="订单已完成"
        android:textColor="@color/black"
        android:textSize="30sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/vPayResultIcon"/>

    <TextView
        android:id="@+id/tvStatus"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="26dp"
        android:text="小票正在打印，请稍等…"
        android:textColor="#88000000"
        android:textSize="24sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tvOrderStatus"/>

    <TextView
        android:id="@+id/tvRePrint"
        android:layout_width="132dp"
        android:layout_height="58dp"
        android:layout_marginRight="30dp"
        android:text="重新打印"
        android:visibility="invisible"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:paddingLeft="15dp"
        android:paddingRight="15dp"
        android:background="@drawable/app_payresult_reprint_bg"
        android:textColor="#111235"
        android:textSize="24sp"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/tvStatus"
        app:layout_constraintBottom_toBottomOf="@+id/tvStatus"/>

    <View
        android:id="@+id/vOrderStatusline"
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="40dp"
        android:layout_marginRight="40dp"
        android:background="#E6E9EF"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tvStatus" />

    <TextView
        android:id="@+id/tvOrderTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="40dp"
        android:text="订单详情"
        android:textColor="@color/black"
        android:textSize="30sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/vOrderStatusline"/>

    <TextView
        android:id="@+id/tvOrderPriceHint"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="40dp"
        android:text="订单金额"
        android:textColor="#141C30"
        android:textSize="24sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tvOrderTitle" />

    <TextView
        android:id="@+id/tvPayPrice"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="40dp"
        android:gravity="right"
        android:text="--------"
        android:textColor="#878E9D"
        android:textSize="22sp"
        app:layout_constraintBottom_toBottomOf="@+id/tvOrderPriceHint"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/tvOrderPriceHint" />

    <TextView
        android:id="@+id/tvOrderNoHint"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="40dp"
        android:text="订单号"
        android:textColor="#141C30"
        android:textSize="24sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tvOrderPriceHint" />

    <TextView
        android:id="@+id/tvOrderNo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="40dp"
        android:gravity="right"
        android:text="--------"
        android:textColor="#878E9D"
        android:textSize="22sp"
        app:layout_constraintBottom_toBottomOf="@+id/tvOrderNoHint"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/tvOrderNoHint" />

    <TextView
        android:id="@+id/tvPayWayHint"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="35dp"
        android:text="支付方式"
        android:textColor="#141C30"
        android:textSize="24sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tvOrderNoHint" />

    <TextView
        android:id="@+id/tvPayWay"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="40dp"
        android:gravity="right"
        android:text="--------"
        android:textColor="#878E9D"
        android:textSize="22sp"
        app:layout_constraintBottom_toBottomOf="@+id/tvPayWayHint"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/tvPayWayHint" />

    <TextView
        android:id="@+id/tvTradeNoHint"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="35dp"
        android:text="交易单号"
        android:textColor="#141C30"
        android:textSize="24sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tvPayWayHint" />

    <TextView
        android:id="@+id/tvTradeNo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="40dp"
        android:gravity="right"
        android:text="--------"
        android:textColor="#878E9D"
        android:textSize="22sp"
        app:layout_constraintBottom_toBottomOf="@+id/tvTradeNoHint"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/tvTradeNoHint" />

    <TextView
        android:id="@+id/tvTradeTimeHint"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="35dp"
        android:text="交易时间"
        android:textColor="#141C30"
        android:textSize="24sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tvTradeNoHint" />

    <TextView
        android:id="@+id/tvTradeTime"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="40dp"
        android:gravity="right"
        android:text="--------"
        android:textColor="#878E9D"
        android:textSize="22sp"
        app:layout_constraintBottom_toBottomOf="@+id/tvTradeTimeHint"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/tvTradeTimeHint" />

    <TextView
        android:id="@+id/tvGoHome"
        android:layout_width="match_parent"
        android:layout_height="90dp"
        android:layout_marginBottom="120dp"
        android:layout_marginStart="80dp"
        android:layout_marginEnd="80dp"
        android:background="@drawable/app_payresult_reprint_bg"
        android:gravity="center"
        android:text="返回首页"
        android:textColor="#111235"
        android:textSize="36sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <ImageView
        android:id="@+id/tvAccountInfo"
        android:layout_width="220dp"
        android:layout_height="40dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:src="@mipmap/ic_light_logo_converse"
        android:layout_marginBottom="24dp"
        android:gravity="center"/>

</androidx.constraintlayout.widget.ConstraintLayout>